Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class SoapUtil

    java.lang.Object
      com.tonbeller.jpivot.xmla.SoapUtil

    public class SoapUtil

extends java.lang.Object

static SOAP utility methods

Field Summary
`static org.apache.log4j.Logger` | `logger`

Constructor Summary
`SoapUtil()`

Method Summary
`static void` | `addParameterList(javax.xml.soap.SOAPEnvelope envelope, javax.xml.soap.SOAPElement eParent, java.lang.String typeName, java.lang.String listName, java.util.Map params)` add a list of Restrictions/Properties ...
`static java.net.URL` | `addUserPassword(java.net.URL url, java.lang.String user, java.lang.String password)`
`static javax.xml.soap.SOAPMessage` | `createDiscoverMsg(java.lang.String dataSource, java.lang.String catalog, java.lang.String request, java.util.Map restrictMap)` run Discover request
`static void` | `printReply(javax.xml.soap.SOAPMessage reply)` print reply to output to System.out
`static boolean` | `soapFault(javax.xml.soap.SOAPMessage reply, java.lang.String[] faults)` check SOAP reply for Error, return fault Code

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    public static final org.apache.log4j.Logger logger

Constructor Detail

### SoapUtil

    public SoapUtil()

Method Detail

### addParameterList

    public static void addParameterList(javax.xml.soap.SOAPEnvelope envelope,
                                        javax.xml.soap.SOAPElement eParent,
                                        java.lang.String typeName,
                                        java.lang.String listName,
                                        java.util.Map params)
                                 throws javax.xml.soap.SOAPException

  add a list of Restrictions/Properties ...

  Throws:
    `javax.xml.soap.SOAPException`

### printReply

    public static void printReply(javax.xml.soap.SOAPMessage reply)
                           throws javax.xml.soap.SOAPException

  print reply to output to System.out

  Throws:
    `javax.xml.soap.SOAPException`

### createDiscoverMsg

    public static javax.xml.soap.SOAPMessage createDiscoverMsg(java.lang.String dataSource,
                                                               java.lang.String catalog,
                                                               java.lang.String request,
                                                               java.util.Map restrictMap)
                                                        throws javax.xml.soap.SOAPException

  run Discover request

  Throws:
    `javax.xml.soap.SOAPException`

### soapFault

    public static boolean soapFault(javax.xml.soap.SOAPMessage reply,
                                    java.lang.String[] faults)
                             throws javax.xml.soap.SOAPException

  check SOAP reply for Error, return fault Code

  Parameters:
    `reply` - the message to check
    `aReturn` - ArrayList containing faultcode,faultstring,faultactor
  Throws:
    `javax.xml.soap.SOAPException`

### addUserPassword

    public static java.net.URL addUserPassword(java.net.URL url,
                                               java.lang.String user,
                                               java.lang.String password)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD